[package]
name = "network-maestro"
version = "0.0.0"
authors = ["Transparent Engineers <engineering@transparent.us>"]
edition = "2021"
license = "MIT OR Apache-2.0"

[lib]
name = "network_maestro"
path = "src/lib.rs"

[[bin]]
name = "xnmcli"
path = "src/xnmcli.rs"

[dependencies]
async-trait = "0.1"
derive_more = "0.99"
futures = "0.3"
thiserror = "1.0"